import menuSettings from "@/config/menuSettings"; //菜单配置文件
const { menuColors, menuHideWidth, menuOpenWidth } = menuSettings;

const storageSetting = JSON.parse(localStorage.getItem("layout-menu") as string) || "";
const useMenuStore = defineStore("menu", {
  state: () => ({
    menuColors: storageSetting.menuColors === undefined ? menuColors : storageSetting.menuColors,
    menuHideWidth: storageSetting.menuHideWidth === undefined ? menuHideWidth : storageSetting.menuHideWidth,
    menuOpenWidth: storageSetting.menuOpenWidth === undefined ? menuOpenWidth : storageSetting.menuOpenWidth,
  }),
  actions: {
    //修改设置
    changeSetting(data: Exclude<string, any>) {
      const { key, value } = data;
      if (this.hasOwnProperty(key)) {
        this[key] = value;
      }
    },
  },
});
export default useMenuStore;
